unit Tezina;

interface

uses
  Drivers, Objects, Views, Dialogs;

const
  cmLako = 1500;
  cmSrednje = 1501;
  cmTesko = 1502;

type
  PTezinaDlg = ^TTezinaDlg;
  TTezinaDlg = object(TDialog)
    constructor Init;
    procedure HandleEvent(var Event: TEvent); virtual;
  end;

implementation

constructor TTezinaDlg.Init;
var
  R: TRect;
begin
  R.Assign(0, 0, 33, 7);
  inherited Init(R, 'Izaberi tezinu');
  Options := Options or ofCentered;
  R.Assign(2, 2, 10, 6);
  Insert(New(PButton, Init(R, 'Lako', cmLako, bfNormal)));
  R.Assign(10, 2, 21, 6);
  Insert(New(PButton, Init(R, 'Srednje', cmSrednje, bfNormal)));
  R.Assign(21, 2, 30, 6);
  Insert(New(PButton, Init(R, 'Tesko', cmTesko, bfNormal)));
  SelectNext(False)
end;

procedure TTezinaDlg.HandleEvent(var Event: TEvent);
begin
  inherited HandleEvent(Event);
  if Event.What = evCommand then
  begin
    case Event.Command of
      cmLako..cmTesko:
      begin
        ClearEvent(Event);
        EndModal(Event.Command);
      end;
    end;
  end;
end;

end.